Start a prepaid top-up

POST
/customers/{customer_id}/billing/topup

Create a Stripe Checkout for a prepaid top-up and return its URL.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

An API key

Path Parameters

customer_id*string

Request Body

application/json
  1. body
amount*|
currency?string
Default"EUR"
job_id?string|null

Response Body

Successful Response

application/json
  1. response
checkout_url*string
session_id*string
curl -X POST 'https://api.deepscout.ai/v1/customers/string/billing/topup' \  -H 'Content-Type: application/json' \  -d '{  "amount": 1}'
{  "checkout_url": "string",  "session_id": "string"}